import { ChatInputCommandInteraction, Message } from "discord.js";

export default {
  data: {
    name: "ping",
    description: "Replies with Pong!",
    toJSON() {
      return { name: "ping", description: "Replies with Pong!" };
    },
  },
  ownersOnly: false,
  async execute(input: ChatInputCommandInteraction | Message) {
    if (input instanceof Message) {
      await input.reply("🏓 Pong! (prefix command)");
    } else {
      await input.reply("🏓 Pong! (slash command)");
    }
  },
};